MuleContextBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.api.context.MuleContextBuilder interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.context
Interface MuleContextBuilder

All Known Implementing Classes:
  DefaultMuleContextBuilder

    public interface MuleContextBuilder

Builder that is used to build instances of `MuleContext`. Implementing classes are stateful and should provide public chainable setters for configuring the builder instance and no public getters.

Method Summary
`MuleContext` | `buildMuleContext()` Builds a new `MuleContext` instance using configured builder instance.
`void` | `setLifecycleManager(LifecycleManager lifecycleManager)`
`void` | `setMuleConfiguration(MuleConfiguration muleConfiguration)`
`void` | `setNotificationManager(ServerNotificationManager notificationManager)`
`void` | `setWorkListener(javax.resource.spi.work.WorkListener workListener)`
`void` | `setWorkManager(WorkManager workManager)`

Method Detail

### buildMuleContext

    MuleContext buildMuleContext()

  Builds a new `MuleContext` instance using configured builder instance. Does not initialise or start MuleContext, only constructs the instance.

  Returns:

### setWorkManager

    void setWorkManager(WorkManager workManager)

### setWorkListener

    void setWorkListener(javax.resource.spi.work.WorkListener workListener)

### setNotificationManager

    void setNotificationManager(ServerNotificationManager notificationManager)

### setLifecycleManager

    void setLifecycleManager(LifecycleManager lifecycleManager)

### setMuleConfiguration

    void setMuleConfiguration(MuleConfiguration muleConfiguration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.